Bug 237331 - Review Request: perl-Crypt-OpenSSL-Random -- Perl OpenSSL bindings for Random Number support
Summary: Review Request: perl-Crypt-OpenSSL-Random -- Perl OpenSSL bindings for Rando...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 237334
TreeView+ depends on / blocked
 
Reported: 2007-04-20 20:33 UTC by Wes Hardaker
Modified: 2008-06-16 20:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-24 15:52:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Wes Hardaker 2007-04-20 20:33:10 UTC
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Random.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Random.spec
Description:  A Perl wrapper around OpenSSL's Random number generation library.

(I don't currently have a sponsor, although there are other packages
I've submitted as well tagged as needing a sponsor as well).

Comment 2 Wes Hardaker 2007-05-08 20:57:17 UTC
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Random.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Random-0.03-2.src.rpm

- Add BuildRequire openssl-devel
- Don't manually require openssl
- Use vendorarch instead of vendorlib


Comment 3 Jason Tibbitts 2007-05-10 00:29:47 UTC
Buildrequires: perl(ExtUtils::MakeMaker) is needed to cope with the perl-devel
split.  I don't see any other requirements in Makefile.PL or the test suite.

However, there's one very significant problem with this package: I can find no
statement of the license anywhere.  You've indicated "GPL or Artistic"; I'm
curious where that comes from.  Unfortunately packages with no license
statements are simply not acceptable as-is; we at least need an email from the
author indicating the license the package is under.

* source files match upstream:
   eff9477303a70308596c0b41623294f9584855270ad9997a06354d6d6f9e87e8  
   Crypt-OpenSSL-Random-0.03.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
? license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   Random.so()(64bit)
   perl(Crypt::OpenSSL::Random) = 0.03
   perl-Crypt-OpenSSL-Random = 0.03-2.fc7
  =
   libcrypto.so.6()(64bit)
   libssl.so.6()(64bit)
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Carp)
   perl(DynaLoader)
   perl(Exporter)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   1..1
   ok 1
   ok 2
   ok 3
   ok 4

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.

Comment 4 Wes Hardaker 2007-05-14 22:01:56 UTC
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Random.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Random-0.03-3.src.rpm

* Mon May 14 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.03-3
- BuildRequire perl(ExtUtils::MakeMaker)

Comment 5 Wes Hardaker 2007-05-15 00:42:10 UTC
(oh, and I'll work on the license issue)


Comment 6 Jason Tibbitts 2007-05-15 18:28:07 UTC
This package is fine now except for the license issue; it is sufficient to
obtain a simple email from the author stating the license terms (even "same as
Perl" is fine) as long as you include the text of that email in the package as %doc.

Comment 7 Wes Hardaker 2007-05-16 21:05:40 UTC
When I get a response, I'll do so (or better yet...  hopefully he'll republish
it).  thanks for the note about email verification being ok.

Comment 8 Wes Hardaker 2007-05-22 00:13:48 UTC
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Random.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-Random-0.04-1.src.rpm

- Update to upstream 0.4 with proper license


Comment 9 Jason Tibbitts 2007-05-23 01:43:28 UTC
Cool.  Now, since there's a license file in the upstream source, it needs to be
included in the package.  Just add "LICENSE" after "%doc Changes" in your %files
section.

Other than that, this package is good to go; I'll go ahead and approve and trust
you to add the LICENSE file when you check in.

APPROVED

Comment 10 Wes Hardaker 2007-05-24 00:18:02 UTC
New Package CVS Request
=======================
Package Name: perl-Crypt-OpenSSL-Random
Short Description: Perl OpenSSL bindings for Random Number support
Owners: wjhns174@hardakers.net
Branches: FC-6 F-7
InitialCC: 

Comment 11 Tom "spot" Callaway 2007-05-24 15:13:34 UTC
cvs done

Comment 12 Wes Hardaker 2007-05-24 15:52:03 UTC
w00t.  done!

Comment 13 Wes Hardaker 2008-06-16 20:35:31 UTC
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-Random
New Branches: EL-4 EL-5


Comment 14 Dennis Gilmore 2008-06-16 20:52:00 UTC
CVS Done 


Note You need to log in before you can comment on or make changes to this bug.